@import "compass";
@import "compass/css3/opacity";
@import "compass/css3/border-radius";
@import "compass/css3/text-shadow";

div#siarContent div.centered {
	text-align: center;
	
	table {
		margin: 0 auto; 
		text-align: left;
		
		.tl>div, .tr>div{
			position:relative;
		}
		
		div.buttonsHover{
			position:absolute;
			bottom:0px;
			left:0px;
			text-align:center;
			background: #2E6EB6;
			@include opacity(0.8);
			@include border-top-radius(10px);
			width:100%;
			padding: 5px 0px;
			
			span {
				padding: 0px 10px;
				font-size:1.3em !important;
			}
			
			span.shadow:hover{
			  @include text-shadow(0px 0px 7px rgba(255,255,255,0.8));
			}
			
		}
		
		a#btn-search {
      .searchForm{
        padding-top: 0.5em;
      }
  
      div.buttonsHover{
        background: #DB883F;
      }
      
      .add-on{
        background: none repeat scroll 0 0 #DB883F;
        border-color: #DB883F;
      }
  
    }
	}
}

.btn-siar-pulsantoni{
	width:300px !important;
	height:200px !important;
	font-size: 3em !important;
	line-height: 1em !important;
	
	>i{
		padding-top:0.3em;
		font-size: 1.5em !important;
		line-height: 1em;
	}
}


a.btn.hidden{
  visibility:hidden;
}

tbody.table-data{
  tr{
      cursor: pointer;
    }
    
    tr.myhilite td {
      background-color: #ACCDEF;
    }
}



span.btn-duplicate-field{
  margin-top: -7px;
}

.table-data tr{
  cursor: pointer !important;
}

.yui3-datatable-paginator {
    background: none !important;
    padding: 0px !important;
}


p.margin_list{
    margin-left: 10px;
}

.viewRecordHeader{
   border-bottom: 1px solid #009AE5;
  i{
    color: #009AE5;
    pdding-right: 0.3em;
  }
  
}

.viewRecord{
	margin-left: 3em;
	margin-right: 1em;
	text-align: justify;
    text-indent: -1em;
}

#viewRecordAuthorityInt{
  border-bottom: 4px solid #009AE5;
  margin-bottom: 1em;
}

.aui .form-horizontal .controls {
    margin-left: 320px !important;
}

.aui .form-horizontal .control-label {
    width: 300px !important;
}

div#schedaInfo{
  margin-top:1em;
}

.yui3-datatable-paginator, 
.yui3-datatable-paginator-group label,
.yui3-datatable-paginator-group button
{
  font-family: 'Roboto',sans-serif;
  font-size:13px !important;
}

#scopeArea {
	margin-left: 195px;
}

.table-data tr{
  cursor: pointer !important;
}

#tree-wrapper {
  /*height: 600px;*/
  /*overflow: auto;*/
  position: relative;
}

.overlay, .tree_overlay {
  	width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 100;
    cursor:wait;
}

#typeArch {
    color: #808080;
    font-style: italic;
}

#dateArch{
	text-align: right;
}

/* hide column in datatable */
.yui3-skin-sam .yui3-hide {
	display:none;
}

/* Form validator */

.help-block {
    display: inline;
    padding-left: 6px;
    font-size: 85%;
}

span.form-error.help-block {
    display: block;
    color: red;
    margin-top: 6px;
    padding-left: 0;
}

div.form-error {
    padding: 6px 12px;
    line-height: 180%;
    background: #ffe5ed;
    border-radius: 4px;
    margin-bottom: 22px;
    color: darkred;
}

input.valid {
    background: url(icon-ok.png) no-repeat right center #e3ffe5;
    color: #002f00;
    border-color: #96b796 !important;
}

input.error {
    background: url(icon-fail.png) no-repeat right center #ffebef;
    color: #480000;
}

.form-suggest-element {
    padding: 4px;
}

form.validating-server-side .server-validation {
    background: url(../img/ajax-loader.gif?v=2) no-repeat center right #FFF;
    opacity: 0.5;
}

.max-chars {
    background: #EEE;
    color: #999;
}

.form-help {
    padding-left: 6px;
    font-size: 90%;
    color: #888;
}


div#files{
	.flex-container {
	  width:100%;
	  padding: 0;
	  margin: 0;
	  list-style: none;
	  -ms-box-orient: horizontal;
	  display: -webkit-box;
	  display: -moz-box;
	  display: -ms-flexbox;
	  display: -moz-flex;
	  display: -webkit-flex;
	  display: flex;
	}
	
	.nowrap  { 
	  -webkit-flex-wrap: nowrap;
	  flex-wrap: nowrap;
	}
	
	.wrap    { 
	  -webkit-flex-wrap: wrap;
	  flex-wrap: wrap;
	}  
	
	
	.wrap-reverse         { 
	  -webkit-flex-wrap: wrap-reverse;
	  flex-wrap: wrap-reverse;
	}  
	
	
	.flex-item {
	  padding: 5px;
	  width: 45%;
	  margin: 10px;
	}
}


/*hide image count from lightbox*/
.lb-number{
	display:none !important;
}





/* nuova versione */

.siarViewRecord{
	#recordTitle {
		border-bottom: 2px solid #009AE5;
	  	margin-bottom: 1em;
	  	
	  	h5 {
	  		font-style:italic;
	  	}
	}
	
	p.view_field {
    	padding-top: 1em;
	}
	
	.viewRecord {
	    margin-left: 0em;
	    padding-left: 3em;
	    margin-right: 0em;
	    padding-right: 1em;
	    text-align: justify;
	    text-indent: -1em;
	}
	
	.viewRecordHeader[data-toggle~=collapse]{
		cursor:pointer;
	}
	
	.viewRecordHeader{
		>i.icon-angle-right{
			display:none;
		}
		>i.icon-angle-down{
			display:inline-block;
		}
		
	}
	
	.viewRecordHeader.collapsed{
		>i.icon-angle-right{
			display:inline-block;
		}
		>i.icon-angle-down{
			display:none;
		}
	
	}
	
}